--GROUP_ROSTER_UPDATE COMBAT_LOG_EVENT_UNFILTERED
function(allstates, e, ...)
	if e == "GROUP_ROSTER_UPDATE" then
		aura_env.playerList = {}
		for i = 1, GetNumGroupMembers() do
			local u = "raid" .. i
			if select(3, UnitClass(u)) == 2 then
				if not aura_env.playerList[UnitName(u)] then aura_env.playerList[UnitName(u)] = u end
				if not allstates[UnitName(u)] then allstates[UnitName(u)] = {
					show = true,
					changed = true,
					name = UnitName(u),
					unit = u,
					class = UnitClass(u),
					resort = true,
					cd = 0,
					cdtotal = 20,
					index = 0,
					progressType = "static",
					value = 0,
					total = 1,
				} end
			end
		end
		return true
	elseif e == "COMBAT_LOG_EVENT_UNFILTERED" then
		local caster = select(5, ...)
		if aura_env.playerList[caster] then
			local se = select(2, ...)
			if se == "SPELL_CAST_SUCCESS" then
				local spellname = select(13, ...)
				if spellname == "Consecration" then
					if allstates[caster] then
						allstates[caster].progressType = "timed"
						allstates[caster].duration = 7.57
						allstates[caster].expirationTime = GetTime() + 7.57
						allstates[caster].index = GetTime() + 7.57
						allstates[caster].resort = true
						allstates[caster].changed = true
					end
				end
			end
		end
		return true
	end
end

--INIT
aura_env.playerList = {}